<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="d-flex bd-highlight">
  <div class="p-2 w-100 bd-highlight">
    <div >
      <a class="pps-header" style="font-size: 28px;">สรุปข้อเสนอเพื่อพิจารณา</a> 
    </div>
    <p class="pps-header_th">
      เพิ่มรายละเอียดสรุปข้อเสนอเพื่อพิจารณาเกี่ยวกับรายละเอียดผลิตภัณฑ์
    </p>
  </div>
  <div class="p-2 flex-shrink-1 bd-highlight"
  *ngIf="validate === null || validate === true">
  <button
    type="button"
    class="btn btn-primary saveDraft"
    (click)="saveDraft()"
    >
    บันทึกร่างใบคำขอ
  </button></div>
</div>
<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">  บันทึกร่างใบคำขอเรียบร้อย</a>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div *ngIf="validate === null || validate === true">
  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อขอความเห็นชอบ</div>
    <textarea class="input-detail" rows="4" cols="50" placeholder="เพิ่มรายละเอียดเพื่อขอความเห็นชอบ" [(ngModel)]="data_twelve.for_comment" (ngModelChange)="changeSaveDraft()"></textarea>
  </div>

  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อทราบ</div>
    <textarea class="input-detail" rows="4" cols="50" placeholder="เพิ่มรายละเอียดเพื่อทราบ" [(ngModel)]="data_twelve.for_know" (ngModelChange)="changeSaveDraft()"></textarea>
  </div>

  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อขออนุมัติ</div>
    <textarea class="input-detail" rows="4" cols="50" placeholder="เพิ่มรายละเอียดเพื่อขออนุมัติ" [(ngModel)]="data_twelve.for_approval" (ngModelChange)="changeSaveDraft()"></textarea>
  </div>
  <br><br>

  <!-- ----------------------------------------- next button -------------------------------------------------- -->
  
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next()">ส่งงาน</button>
    </div>
  </div>
  <br><br><br>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>


<!------------------------------------------------- validate === false ------------------------------------------------>
<div *ngIf="validate === false">
  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อขอความเห็นชอบ</div>
  </div>
  <div class="col-12">
    <hr style="margin-top: 0px;margin-bottom: 20px;">
  </div>
  <div class="col-12">
    <div class="detail"> &nbsp; {{data_twelve.for_comment}}</div>
  </div>

  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อทราบ</div>
  </div>
  <div class="col-12">
    <hr style="margin-top: 0px;margin-bottom: 20px;">
  </div>
  <div class="col-12">
    <div class="detail"> &nbsp; {{data_twelve.for_know}}</div>
  </div>


  <br>
  <div class="col-12">
    <div class="head-detal">เพื่อขออนุมัติ</div>
  </div>
  <div class="col-12">
    <hr style="margin-top: 0px;margin-bottom: 20px;">
  </div>
  <div class="col-12">
    <div class="detail"> &nbsp; {{data_twelve.for_approval}}</div>
  </div>


  <!-- ----------------------------------------- next button -------------------------------------------------- -->
  <br>
   <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="nexttoComment()">ส่งงาน</button>
    </div>
  </div>
  <br><br><br>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>
